Subject: RE: [Sip] Path to Working Group Item

From: [email-masked]
Date: Wed, 6 Mar 2002 14:20:12 +0200

Mark Watson writes:

 > The point is that if you want to have that connection between the SIP
 > service layer and the PDP Contexts you need the cooperation of equipment in
 > the mobile (visited) network. This is why the calls need to go via the proxy
 > in the visited network (& why we need Path).

you don't need path header in order to get the call to the proxy of visited
network.  we have discussed this tens of times already.  you only need
to tell the visiting ua to use the proxy of the visited network as its
outbound proxy and that can be done with dhcp.

 > The visited network has no billing relationship with the subscriber and so
 > cannot collect revenue directly from the subscriber. Therefore there must be
 > interaction with the home network and 3GPP have chosen, for the moment, to
 > do this for IMS by requiring all call signalling to be routed via the home
 > network.

sure the visited network must interwork with the home network for
billing purpose, but it is a huge overkill to require also sip
registration and other requests to go there.  radius, for example, has
been used for years by isps both for authentication and accounting
information exchange between isps.

it looks to me that the 3gpp walled garden architecture was designed by
mobile operators and/or equipment vendors and they never bothered to ask
what might the requirements of the mobile users be.  those are the
people who at the end of the day are going to pay the bill for all
this.

-- juha

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Mark Watson"<[email-masked]>
Date: Wed, 6 Mar 2002 12:02:08 -0000

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 05 March 2002 19:46
> To: Watson, Mark [MDN05:EP10:EXCH]
> Cc: Dean Willis; [email-masked]
> Subject: RE: [Sip] Path to Working Group Item
> 
> 
> Mark Watson writes:
> 
>  > And indeed you can do this as I described in my earlier 
> mail. There is
>  > nothing to stop you establishing a data connection (PDP 
> Context) with the
>  > QoS that you want and sending your call over that, via 
> whomever you want (if
>  > your terminal supports it).
> 
> sure, but does my home proxy the same capabilities to control the pdp
> context as the proxy of the mobile operator has for the 3gpp context?

If you access your home proxy over a simple IP connection then of course
not. This is what the IP Multimedia Subsystem does: if your home proxy
provider connects in to the IMS of other operators, they will be able to do
whatever the mobile operators can do. But the price is you need to support
the extensions which enable this cooperation and these are what we are
trying to standardise here.

If you don't want that interaction you can connect direct to your home
proxy.

You seem to be asking for interaction between the SIP service and the packet
access (PDP Context), but without cooperation of a SIP entity in the network
providing the access - this sounds impossible to me.

> someone on this list mentioned earlier mentioned that that is not the
> case.  in an open architecture, the operator 3gpp proxy would have no
> advantage over my home proxy for setting up the pdp contexts and
> controlling the calls.
> 
> by the way, you didn't answer my question about why a 3gpp ua can't
> decide to make a 3gpp pdp context call directly from the 
> visited network
> without using its home proxy.
> 

Obne reason is billing.

...Mark